<?xml version="1.0" encoding="ISO-8859-1"?>

<!DOCTYPE web-app
    PUBLIC "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN"
    "http://java.sun.com/j2ee/dtds/web-app_2_3.dtd">

<web-app>
    <servlet>
        <servlet-name>params</servlet-name>
        <servlet-class>org.apache.commons.httpclient.ParamServlet</servlet-class>
    </servlet>

    <servlet>
        <servlet-name>headers</servlet-name>
        <servlet-class>org.apache.commons.httpclient.HeaderServlet</servlet-class>
    </servlet>

    <servlet>
        <servlet-name>body</servlet-name>
        <servlet-class>org.apache.commons.httpclient.RequestBodyServlet</servlet-class>
    </servlet>

    <servlet>
        <servlet-name>redirect</servlet-name>
        <servlet-class>org.apache.commons.httpclient.RedirectServlet</servlet-class>
    </servlet>

    <servlet>
        <servlet-name>basicauth</servlet-name>
        <servlet-class>org.apache.commons.httpclient.BasicAuthServlet</servlet-class>
    </servlet>

    <servlet>
        <servlet-name>writecookie</servlet-name>
        <servlet-class>org.apache.commons.httpclient.WriteCookieServlet</servlet-class>
    </servlet>

    <servlet>
        <servlet-name>readcookie</servlet-name>
        <servlet-class>org.apache.commons.httpclient.ReadCookieServlet</servlet-class>
    </servlet>

    <servlet-mapping>
        <servlet-name>params</servlet-name>
        <url-pattern>/params</url-pattern>
    </servlet-mapping>

    <servlet-mapping>
        <servlet-name>headers</servlet-name>
        <url-pattern>/headers</url-pattern>
    </servlet-mapping>

    <servlet-mapping>
        <servlet-name>body</servlet-name>
        <url-pattern>/body</url-pattern>
    </servlet-mapping>

    <servlet-mapping>
        <servlet-name>redirect</servlet-name>
        <url-pattern>/redirect</url-pattern>
    </servlet-mapping>

    <servlet-mapping>
        <servlet-name>basicauth</servlet-name>
        <url-pattern>/auth/basic</url-pattern>
    </servlet-mapping>

    <servlet-mapping>
        <servlet-name>writecookie</servlet-name>
        <url-pattern>/cookie/write</url-pattern>
    </servlet-mapping>

    <servlet-mapping>
        <servlet-name>readcookie</servlet-name>
        <url-pattern>/cookie/read</url-pattern>
    </servlet-mapping>
</web-app>
